(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7302,        220]
NotebookOptionsPosition[      6701,        198]
NotebookOutlinePosition[      7048,        213]
CellTagsIndexPosition[      7005,        210]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", "\[Psi]", "]"}], ",", 
     RowBox[{"Sin", "[", "\[Theta]", "]"}], ",", 
     RowBox[{"Sin", "[", 
      RowBox[{"\[Psi]", "+", "\[Theta]"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Psi]", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
   RowBox[{"MaxRecursion", "\[Rule]", "3"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.413563181172702*^9, 3.4135632701269655`*^9}, {
  3.413563308252454*^9, 3.413563314315031*^9}, {3.413564308546507*^9, 
  3.4135643131871915`*^9}, {3.41356486033482*^9, 3.413564869256809*^9}, {
  3.4135649009447145`*^9, 3.413564914398012*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", "x", "]"}], ",", 
     RowBox[{"Cos", "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"Filling", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "2", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Pink", ",", "Yellow"}], "}"}]}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4135634120819073`*^9, 3.413563489739152*^9}, {
  3.4135651132599325`*^9, 3.4135651234319377`*^9}}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["x", "2"], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["y", "2"]}]}], ")"}]}]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1.5"}], ",", "3"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "25"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"ColorData", "[", "\"\<RedBlueTones\>\"", "]"}], "[", 
       RowBox[{"#2", " ", "+", "#1"}], "]"}], "&"}], ")"}]}], ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4135600708516407`*^9, 3.413560210103423*^9}}],

Cell[BoxData[
 RowBox[{"ColorData", "[", "\"\<BlueGreenYellow\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ColorData", "[", "\"\<BlueGreenYellow\>\"", "]"}], "[", ".5", 
  "]"}]], "Input",
 CellChangeTimes->{{3.413560387933824*^9, 3.4135603909651127`*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"ColorData", "[", "\"\<BlueGreenYellow\>\"", "]"}], "[", "n", 
       "]"}], ",", 
      RowBox[{"Disk", "[", "]"}]}], "}"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.413560421684256*^9, 3.4135604946383147`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RandomChoice", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.1", ",", "0.9"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"10", ",", "10"}], "}"}]}], "]"}], "//", "MatrixForm"}]], "Input",\

 CellChangeTimes->{{3.413560617718015*^9, 3.4135606465777597`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dd", "=", 
   RowBox[{"Import", "[", 
    RowBox[{
    "\"\<http://www.eia.doe.gov/pub/international/iealf/table12.xls\>\"", 
     ",", "\"\<Data\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Dimensions", "[", "dd", "]"}]}], "Input",
 CellChangeTimes->{{3.4135672269588623`*^9, 3.41356725486547*^9}}],

Cell[BoxData[
 RowBox[{"GraphPlot", "[", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"1", "0", "0", "0", "0", "0", "0", "0", "0", "1"},
       {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0"},
       {"0", "0", "0", "0", "1", "1", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
       {"0", "1", "0", "0", "0", "0", "1", "0", "0", "0"},
       {"0", "0", "0", "0", "0", "0", "1", "1", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   RowBox[{"DirectedEdges", "\[Rule]", " ", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.413560685375131*^9, 3.4135608111267405`*^9}, {
  3.4135608726119027`*^9, 3.4135608973465943`*^9}, {3.41356101455122*^9, 
  3.4135610249576025`*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"r", ",", "s", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"r", "+", "s"}], ")"}], "/", "5"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "0", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"MeshFunctions", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"#3", "&"}], ",", 
      RowBox[{"#2", "&"}]}], "}"}]}], ",", 
   RowBox[{"MeshShading", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Red", ",", "Green"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", "None"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4135596907842755`*^9, 3.4135599268654222`*^9}, {
  3.413559961615867*^9, 3.4135599630533857`*^9}}]
},
WindowSize->{578, 646},
WindowMargins->{{Automatic, -977}, {-36, Automatic}},
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 861, 20, 52, "Input"],
Cell[1432, 43, 633, 19, 52, "Input"],
Cell[2068, 64, 842, 24, 87, "Input"],
Cell[2913, 90, 84, 1, 31, "Input"],
Cell[3000, 93, 184, 4, 31, "Input"],
Cell[3187, 99, 433, 12, 52, "Input"],
Cell[3623, 113, 386, 12, 31, "Input"],
Cell[4012, 127, 348, 8, 112, "Input"],
Cell[4363, 137, 1447, 31, 162, "Input"],
Cell[5813, 170, 884, 26, 72, "Input"]
}
]
*)

(* End of internal cache information *)
